Incorporated docker test build
diff --git a/Dockerfile b/docker-compose.yml
similarity index 67%
copy from Dockerfile
copy to docker-compose.yml
index 96fa80a..d2592ed 100644
--- a/Dockerfile
+++ b/docker-compose.yml
@@ -13,21 +13,17 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-# Ubuntu Xenial 16.04 [LTS]
-FROM ubuntu:16.04
+# Apache UserALE.PyQt5 Docker build
 
-# Install Deps
-RUN apt-get update -yqq && \
-    apt-get install -yqq python3-dev python3-pip qt5-default && \
-    apt-get clean && \
-    rm -rf /var/lib/apt/lists/*
-    
-COPY requirements.txt /opt/userale
-
-WORKDIR /opt
-
-# Install requirements
-RUN pip3 install -r requirements.txt
-
-#CMD ["python", "./setup.py", "develop"]
-
+version: "2"
+services:
+  dev:
+    build: 
+      context: .
+      dockerfile: ./docker/dev/Dockerfile
+    container_name: dev
+  test:
+    build: 
+      context: .
+      dockerfile: ./docker/test/Dockerfile
+    container_name: test
\ No newline at end of file
diff --git a/Dockerfile b/docker/dev/Dockerfile
similarity index 73%
rename from Dockerfile
rename to docker/dev/Dockerfile
index 96fa80a..af7f463 100644
--- a/Dockerfile
+++ b/docker/dev/Dockerfile
@@ -13,21 +13,18 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-# Ubuntu Xenial 16.04 [LTS]
-FROM ubuntu:16.04
+# Python 3.5 Base Image
+FROM python:3.5
+MAINTAINER Michelle Beard <msbeard@apache.org>
 
-# Install Deps
-RUN apt-get update -yqq && \
-    apt-get install -yqq python3-dev python3-pip qt5-default && \
-    apt-get clean && \
-    rm -rf /var/lib/apt/lists/*
-    
-COPY requirements.txt /opt/userale
+RUN mkdir /code
+WORKDIR /code
 
-WORKDIR /opt
+ADD requirements.txt /code
 
 # Install requirements
 RUN pip3 install -r requirements.txt
 
-#CMD ["python", "./setup.py", "develop"]
+ADD . /code/
 
+RUN python3 setup.py develop || exit 0
diff --git a/Dockerfile b/docker/test/Dockerfile
similarity index 64%
copy from Dockerfile
copy to docker/test/Dockerfile
index 96fa80a..9adb6fa 100644
--- a/Dockerfile
+++ b/docker/test/Dockerfile
@@ -13,21 +13,23 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-# Ubuntu Xenial 16.04 [LTS]
-FROM ubuntu:16.04
+# Python 3.5 Base Image
+FROM python:3.5
+MAINTAINER Michelle Beard <msbeard@apache.org>
 
-# Install Deps
-RUN apt-get update -yqq && \
-    apt-get install -yqq python3-dev python3-pip qt5-default && \
-    apt-get clean && \
-    rm -rf /var/lib/apt/lists/*
-    
-COPY requirements.txt /opt/userale
+RUN mkdir /code
+WORKDIR /code
 
-WORKDIR /opt
+ADD requirements.txt /code
+ADD test_requirements.txt /code
+ADD docker/test/run_tests.sh /code/run_tests.sh
+RUN chmod +x /code/run_tests.sh
 
 # Install requirements
 RUN pip3 install -r requirements.txt
+RUN pip3 install -r test_requirements.txt
 
-#CMD ["python", "./setup.py", "develop"]
+ADD . /code/
 
+RUN python3 setup.py test || exit 0
+RUN pylint userale/ --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" > /code/pylint.log || exit 0
diff --git a/requirements.txt b/requirements.txt
index 969c527..d9b94db 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -14,4 +14,4 @@
 # limitations under the License.
 
 requests>=2.0.0
-pyqt5==5.6
\ No newline at end of file
+PyQt5==5.7
\ No newline at end of file
diff --git a/setup.py b/setup.py
index 10b4290..ecb6120 100644
--- a/setup.py
+++ b/setup.py
@@ -65,7 +65,7 @@
     include_package_data=True,
     zip_safe=False,
     tests_require=['pytest>=3.0.0', 'pytest-pylint', 'coverage'],
-    install_requires=['pyqt5==5.6', 'requests>=2.0.0'],
+    install_requires=['pyqt5==5.7', 'requests>=2.0.0'],
     entry_points={
         'console_scripts': [
             'mouse = userale.examples.testapp:test_app',